Автор Тема: Установка ПО для доски Interwrite  (Прочитано 10272 раз)

Оффлайн goodluck

  • Давно тут
  • **
  • Сообщений: 89
Добрый день. Нужно установить ПО для доски Interwrite. Есть установочный файл Workspace_Linux_Installer. С него я ставил ПО для доски начиная с пятой платформы, никогда проблем не было. Ставил по инструкции отсюда. И вот на 9 платформе выдает сообщение No Java Runtime Environment (JRE) was found on this system. Java установлена. Помогите пожалуйста.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 551
    • Домашняя страница
    • Email
Re: Установка ПО для доски Interwrite
« Ответ #1 : 27.08.2019 15:52:56 »
А снимок экрана хотя бы?
Андрей Черепанов (cas@)

Оффлайн goodluck

  • Давно тут
  • **
  • Сообщений: 89
Re: Установка ПО для доски Interwrite
« Ответ #2 : 27.08.2019 16:16:36 »
Вот

Оффлайн goodluck

  • Давно тут
  • **
  • Сообщений: 89
Re: Установка ПО для доски Interwrite
« Ответ #3 : 27.08.2019 16:23:02 »
вот java
[root@alex-desktop alex]# java -version
openjdk version "1.8.0_212"
OpenJDK Runtime Environment (build 1.8.0_212-b04)
OpenJDK 64-Bit Server VM (build 25.212-b04, mixed mode)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 551
    • Домашняя страница
    • Email
Re: Установка ПО для доски Interwrite
« Ответ #4 : 27.08.2019 19:48:06 »
А что техподдержка досок сказала? Как они jvm определяют?
Андрей Черепанов (cas@)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 551
    • Домашняя страница
    • Email
Re: Установка ПО для доски Interwrite
« Ответ #5 : 27.08.2019 19:48:24 »
Скрипты там есть или одни ELF?
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 760

Оффлайн goodluck

  • Давно тут
  • **
  • Сообщений: 89
Re: Установка ПО для доски Interwrite
« Ответ #7 : 28.08.2019 09:28:19 »
А что техподдержка досок сказала? Как они jvm определяют?
Скрипты там есть или одни ELF?
По правде говоря этому установочному файлу где-то лет 10. Как я уже написал, с него я устанавливал на все платформы альта начиная с пятой. В техподдержку я не обращался, так как никогда проблем с ним не было и я склонен предполагать что дело все таки в альте. Команда extract выдает такие файлы.
[root@teacher istemp10871240131500]# ls
jre-16.0_13-jmf-with-updated-EventQueue-linux-installer.bin 
JVMNotFound.txt 
setup.jar 
Verify.jar

https://www.ibm.com/support/knowledgecenter/en/SSGSPN_8.6.0/com.ibm.tivoli.itws.doc_8.6/awspimst159.htm
а у вас bc установлен?
bc установлен

Если нужно я могу выложить ссылку на этот файл чтобы кто-нибудь попробовал его установить на p9.

Оффлайн hjkl

  • Давно тут
  • **
  • Сообщений: 104
Re: Установка ПО для доски Interwrite
« Ответ #8 : 28.08.2019 16:25:22 »
вот java
[root@alex-desktop alex]# java -version
openjdk version "1.8.0_212"
OpenJDK Runtime Environment (build 1.8.0_212-b04)
OpenJDK 64-Bit Server VM (build 25.212-b04, mixed mode)
А какая джава на компьютере, на котором работает? А не пишет ли эта программа установки в лог-файл, чтобы там посмотреть более подробную информацию об ошибке?

Оффлайн stranger573

  • Мастер
  • ***
  • Сообщений: 1 224
    • Email
Re: Установка ПО для доски Interwrite
« Ответ #9 : 29.08.2019 01:18:56 »
Команда extract выдает такие файлы.
[root@teacher istemp10871240131500]# ls
jre-16.0_13-jmf-with-updated-EventQueue-linux-installer.bin 
JVMNotFound.txt 
setup.jar 
Verify.jar
Ну, так скорее всего, проверкой наличия и версии жабы занимается Verify.jar.
Чем заниматься гаданиями, искать логи, не проще ли просто распаковать его и прочитать — что и какое ему надо. Это ж не бинарник (что есть jar). Файлы внутри вполне читаемы должны быть.
« Последнее редактирование: 29.08.2019 01:33:25 от stranger573 »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 551
    • Домашняя страница
    • Email
Re: Установка ПО для доски Interwrite
« Ответ #10 : 29.08.2019 07:54:25 »
Ага. Внутри jar – бинарный байт-код jvm. С листа, наверное, его читаете? ;-)
Андрей Черепанов (cas@)

Оффлайн stranger573

  • Мастер
  • ***
  • Сообщений: 1 224
    • Email
Re: Установка ПО для доски Interwrite
« Ответ #11 : 29.08.2019 11:59:47 »
Ага. Внутри jar – бинарный байт-код jvm. С листа, наверное, его читаете? ;-)
Не факт. Вы в этот конкретный файл заглядывали? Не такая уж редкость, когда даже .bin файл оказывается большим баш-скриптом. Даже в винде ехе файлы чаще всего не один исполняемый файл, а архив в котором можно покопаться.

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 760
Re: Установка ПО для доски Interwrite
« Ответ #12 : 29.08.2019 12:09:29 »
Команда extract выдает такие файлы.
[root@teacher istemp10871240131500]# ls
jre-16.0_13-jmf-with-updated-EventQueue-linux-installer.bin 
JVMNotFound.txt 
setup.jar 
Verify.jar
Ну, так скорее всего, проверкой наличия и версии жабы занимается Verify.jar.
Чем заниматься гаданиями, искать логи, не проще ли просто распаковать его и прочитать — что и какое ему надо. Это ж не бинарник (что есть jar). Файлы внутри вполне читаемы должны быть.

скорее всего "инсталлятор" пытается запустить свою 32-битную java и каких-то библиотек не хватает.

Оффлайн stranger573

  • Мастер
  • ***
  • Сообщений: 1 224
    • Email
Re: Установка ПО для доски Interwrite
« Ответ #13 : 29.08.2019 13:47:48 »
скорее всего "инсталлятор" пытается запустить свою 32-битную java
Учитывая древность "инсталлятора" наверняка так и есть. Вот только топикстартер отмалчивается. Ни версию жабы ни на какой последней платформе работало не сообщил.

Оффлайн goodluck

  • Давно тут
  • **
  • Сообщений: 89
Re: Установка ПО для доски Interwrite
« Ответ #14 : 03.09.2019 13:55:22 »
скорее всего "инсталлятор" пытается запустить свою 32-битную java
Учитывая древность "инсталлятора" наверняка так и есть. Вот только топикстартер отмалчивается. Ни версию жабы ни на какой последней платформе работало не сообщил.

Прошу прощения, немного занят был отложил этот вопрос. Этот файл сейчас установлен на p8
[stud@board ~]$ uname -a
Linux board.localdomain 4.4.20-std-def-alt0.M80P.1 #1 SMP Wed Sep 7 15:46:46 UTC 2016 i686 GNU/Linux
[stud@board ~]$ java -version
openjdk version "1.8.0_144"
OpenJDK Runtime Environment (build 1.8.0_144-b01)
OpenJDK Server VM (build 25.144-b01, mixed mode)
Вот на это надо поставить
[alex@teacher ~]$ uname -a
Linux teacher.localdomain 5.0.21-un-def-alt2 #1 SMP PREEMPT Mon Jun 17 18:33:02 UTC 2019 x86_64 GNU/Linux
[alex@teacher ~]$ java -version
openjdk version "1.8.0_212"
OpenJDK Runtime Environment (build 1.8.0_212-b04)
OpenJDK 64-Bit Server VM (build 25.212-b04, mixed mode)